Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.parser
Class uql

    java.lang.Object
      unity.parser.uql

All Implemented Interfaces:
  uqlConstants, uqlTreeConstants

    public class uql

extends java.lang.Object
implements uqlTreeConstants, uqlConstants

Field Summary
`static Token` | `jj_nt`
`static boolean` | `lookingAhead`
`static Token` | `token`
`static uqlTokenManager` | `token_source`

Fields inherited from interface unity.parser.uqlTreeConstants
`JJTADD, JJTALL, JJTAND, JJTAOP, JJTAS, JJTASCTOKEN, JJTCOP, JJTDSCTOKEN, JJTFROM, JJTFUNCTION, JJTGROUPBY, JJTHAVING, JJTINTEGER, JJTMATCHCONDITIONS, JJTMATCHFUNCTIONS, JJTMERGE, JJTMERGEOPCODE, JJTMOP, JJTMULT, JJTMYID, jjtNodeName, JJTNOT, JJTOR, JJTORDERBY, JJTREAL, JJTSELECT, JJTSQLPATTERN, JJTSTAR, JJTSTART, JJTSTRING, JJTUNARY, JJTUNION, JJTVOID, JJTWHERE`

Fields inherited from interface unity.parser.uqlConstants
`ALL, AND, AS, ASC, CLOSEPAREN, COP, DEFAULT, DELIMITED_ID, DIGIT, DISTINCT, DQSTRING, DSC, EOF, EXPONENT, EXTRACT, FILTER, FLOATING_POINT_LITERAL, FROM, GROUPBY, HAVING, IDENTIFIER, IN, INTEGER_LITERAL, LETTER, LIKE, MERGEOP, NOT, ON, OPENPAREN, OR, ORDERBY, SELECT, STRING_LITERAL, tokenImage, UNION, WHERE, XOR`

Constructor Summary
`uql(java.io.InputStream stream)`
`uql(java.io.InputStream stream, java.lang.String encoding)`
`uql(java.io.Reader stream)`
`uql(uqlTokenManager tm)`

Method Summary
`static void` | `AdditiveExpression()`
`static void` | `All()`
`static void` | `Aop()`
`static void` | `As()`
`static void` | `ASC()`
`static void` | `AscToken()`
`static void` | `disable_tracing()`
`static void` | `DSC()`
`static void` | `DscToken()`
`static void` | `enable_tracing()`
`static void` | `FloatLiteral()`
`static void` | `From()`
`static ParseException` | `generateParseException()`
`static Token` | `getNextToken()`
`static Token` | `getToken(int index)`
`ASTStart` | `gettree()`
`static void` | `Groupby()`
`static void` | `Having()`
`static void` | `Identifier()`
`static void` | `IntLiteral()`
`static void` | `main(java.lang.String[] args)`
`static void` | `MatchConditions()`
`static void` | `MatchFunctions()`
`static void` | `Merge()`
`static void` | `MergeOpcode()`
`static void` | `Mop()`
`static void` | `MultiplicativeExpression()`
`static void` | `Not()`
`static void` | `Orderby()`
`void` | `parseString()`
`static void` | `Query()`
`static void` | `ReInit(java.io.InputStream stream)`
`static void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`static void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(uqlTokenManager tm)`
`static void` | `Select()`
`static void` | `SQLAndExpr()`
`static void` | `SQLCompareExpr()`
`static void` | `SQLCompareOp()`
`static void` | `SQLFunction()`
`static void` | `SQLFunctionArgs()`
`static void` | `SQLLikeClause()`
`static void` | `SQLLiteral()`
`static void` | `SQLNotExpr()`
`static void` | `SQLOrExpr()`
`static void` | `SQLPattern()`
`static void` | `SQLQuery()`
`static void` | `SQLSelectCols()`
`static void` | `SQLSelectList()`
`static void` | `SQLTerm()`
`static void` | `Star()`
`static ASTStart` | `Start()`
`static void` | `StringLiteral()`
`static void` | `UnaryExpression()`
`static void` | `UnaryTerm()`
`static void` | `Union()`
`static void` | `Where()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public static uqlTokenManager token_source

### token

    public static Token token

### jj_nt

    public static Token jj_nt

### lookingAhead

    public static boolean lookingAhead

Constructor Detail

### uql

    public uql(java.io.InputStream stream)

### uql

    public uql(java.io.InputStream stream,
               java.lang.String encoding)

### uql

    public uql(java.io.Reader stream)

### uql

    public uql(uqlTokenManager tm)

Method Detail

### parseString

    public void parseString()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

### gettree

    public ASTStart gettree()

### Start

    public static final ASTStart Start()
                                throws ParseException

  Throws:
    `ParseException`

### SQLQuery

    public static final void SQLQuery()
                               throws ParseException

  Throws:
    `ParseException`

### Query

    public static final void Query()
                            throws ParseException

  Throws:
    `ParseException`

### Select

    public static final void Select()
                             throws ParseException

  Throws:
    `ParseException`

### SQLSelectCols

    public static final void SQLSelectCols()
                                    throws ParseException

  Throws:
    `ParseException`

### From

    public static final void From()
                           throws ParseException

  Throws:
    `ParseException`

### As

    public static final void As()
                         throws ParseException

  Throws:
    `ParseException`

### Where

    public static final void Where()
                            throws ParseException

  Throws:
    `ParseException`

### Orderby

    public static final void Orderby()
                              throws ParseException

  Throws:
    `ParseException`

### Groupby

    public static final void Groupby()
                              throws ParseException

  Throws:
    `ParseException`

### Having

    public static final void Having()
                             throws ParseException

  Throws:
    `ParseException`

### Star

    public static final void Star()
                           throws ParseException

  Throws:
    `ParseException`

### SQLSelectList

    public static final void SQLSelectList()
                                    throws ParseException

  Throws:
    `ParseException`

### AdditiveExpression

    public static final void AdditiveExpression()
                                         throws ParseException

  Throws:
    `ParseException`

### Aop

    public static final void Aop()
                          throws ParseException

  Throws:
    `ParseException`

### Mop

    public static final void Mop()
                          throws ParseException

  Throws:
    `ParseException`

### MultiplicativeExpression

    public static final void MultiplicativeExpression()
                                               throws ParseException

  Throws:
    `ParseException`

### UnaryExpression

    public static final void UnaryExpression()
                                      throws ParseException

  Throws:
    `ParseException`

### UnaryTerm

    public static final void UnaryTerm()
                                throws ParseException

  Throws:
    `ParseException`

### SQLTerm

    public static final void SQLTerm()
                              throws ParseException

  Throws:
    `ParseException`

### SQLOrExpr

    public static final void SQLOrExpr()
                                throws ParseException

  Throws:
    `ParseException`

### SQLAndExpr

    public static final void SQLAndExpr()
                                 throws ParseException

  Throws:
    `ParseException`

### SQLNotExpr

    public static final void SQLNotExpr()
                                 throws ParseException

  Throws:
    `ParseException`

### Not

    public static final void Not()
                          throws ParseException

  Throws:
    `ParseException`

### SQLCompareExpr

    public static final void SQLCompareExpr()
                                     throws ParseException

  Throws:
    `ParseException`

### SQLLikeClause

    public static final void SQLLikeClause()
                                    throws ParseException

  Throws:
    `ParseException`

### SQLPattern

    public static final void SQLPattern()
                                 throws ParseException

  Throws:
    `ParseException`

### SQLCompareOp

    public static final void SQLCompareOp()
                                   throws ParseException

  Throws:
    `ParseException`

### SQLLiteral

    public static final void SQLLiteral()
                                 throws ParseException

  Throws:
    `ParseException`

### IntLiteral

    public static final void IntLiteral()
                                 throws ParseException

  Throws:
    `ParseException`

### FloatLiteral

    public static final void FloatLiteral()
                                   throws ParseException

  Throws:
    `ParseException`

### StringLiteral

    public static final void StringLiteral()
                                    throws ParseException

  Throws:
    `ParseException`

### Identifier

    public static final void Identifier()
                                 throws ParseException

  Throws:
    `ParseException`

### AscToken

    public static final void AscToken()
                               throws ParseException

  Throws:
    `ParseException`

### DscToken

    public static final void DscToken()
                               throws ParseException

  Throws:
    `ParseException`

### ASC

    public static final void ASC()
                          throws ParseException

  Throws:
    `ParseException`

### DSC

    public static final void DSC()
                          throws ParseException

  Throws:
    `ParseException`

### SQLFunction

    public static final void SQLFunction()
                                  throws ParseException

  Throws:
    `ParseException`

### SQLFunctionArgs

    public static final void SQLFunctionArgs()
                                      throws ParseException

  Throws:
    `ParseException`

### Merge

    public static final void Merge()
                            throws ParseException

  Throws:
    `ParseException`

### MergeOpcode

    public static final void MergeOpcode()
                                  throws ParseException

  Throws:
    `ParseException`

### MatchFunctions

    public static final void MatchFunctions()
                                     throws ParseException

  Throws:
    `ParseException`

### All

    public static final void All()
                          throws ParseException

  Throws:
    `ParseException`

### MatchConditions

    public static final void MatchConditions()
                                      throws ParseException

  Throws:
    `ParseException`

### Union

    public static final void Union()
                            throws ParseException

  Throws:
    `ParseException`

### ReInit

    public static void ReInit(java.io.InputStream stream)

### ReInit

    public static void ReInit(java.io.InputStream stream,
                              java.lang.String encoding)

### ReInit

    public static void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(uqlTokenManager tm)

### getNextToken

    public static final Token getNextToken()

### getToken

    public static final Token getToken(int index)

### generateParseException

    public static ParseException generateParseException()

### enable_tracing

    public static final void enable_tracing()

### disable_tracing

    public static final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD